## liquidshell 1.8.1+p24.04+vstable+git20251011.2323

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

project(liquidshell)

set(KF_MIN_VERSION 6)
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR})

set(KDE_COMPILERSETTINGS_LEVEL 5.84)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMInstallIcons)

find_package(Qt6 REQUIRED COMPONENTS
    Core
    Widgets
    DBus
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
             WindowSystem WidgetsAddons ConfigWidgets Config KIO IconThemes ItemViews Archive
             Notifications I18n NetworkManagerQt Service Solid BluezQt KCMUtils Crash DBusAddons
             NewStuff XmlGui
)

set(SOURCES
    desktop.cxx
    DesktopWidget.cxx
    DesktopPanel.cxx
    OnScreenVolume.cxx
    OnScreenBrightness.cxx
    ConfigureDesktopDialog.cxx
    StartMenu.cxx
    Launcher.cxx
    QuickLaunch.cxx
    IconButton.cxx
    AppMenu.cxx
    Pager.cxx
    PagerButton.cxx
    WindowList.cxx
    ClockWidget.cxx
    ClockWidgetConfigureDialog.cxx
    TaskBar.cxx
    TaskBarButton.cxx
    LockLogout.cxx
    SysTray.cxx
    SysTrayItem.cxx
    SysTrayNotifyItem.cxx
    DBusTypes.cxx
    SysLoad.cxx
    NotificationServer.cxx
    NotificationList.cxx
    Network.cxx
    NetworkList.cxx
    DeviceNotifier.cxx
    DeviceList.cxx
    Battery.cxx
    Bluetooth.cxx
    PopupMenu.cxx
    KdeConnect.cxx

    DesktopApplet.cxx
    WeatherApplet.cxx
    WeatherAppletConfigureDialog.cxx
    DiskUsageApplet.cxx
    DiskUsageAppletConfigureDialog.cxx
    PictureFrameApplet.cxx
    PictureFrameAppletConfigureDialog.cxx

    Moon.cxx
    liquidshell.qrc
)

find_package(packagekitqt6 QUIET)

if ( packagekitqt6_FOUND )
  set(SOURCES ${SOURCES}
      PkUpdates.cxx
      PkUpdateList.cxx
     )

  add_definitions(-DWITH_PACKAGEKIT)
else()
  message(WARNING "PackageKit integration not available. packagekitqt6 development files not found")
endif()

# e.g. on openSuse Leap 42.3 compile fails as a GLib header included uses signals as var
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

ki18n_wrap_ui(UI_FILES
              ConfigureDesktopDialog.ui
              WeatherAppletConfigureDialog.ui
              DiskUsageAppletConfigureDialog.ui
              PictureFrameAppletConfigureDialog.ui
)

set(statusnotifieritem_xml ${KDE_INSTALL_FULL_DBUSINTERFACEDIR}/kf6_org.kde.StatusNotifierItem.xml)
set_source_files_properties(${statusnotifieritem_xml} PROPERTIES
   INCLUDE "DBusTypes.hxx"
   CLASSNAME OrgKdeStatusNotifierItem
)
qt_add_dbus_interface(SOURCES ${statusnotifieritem_xml} statusnotifieritem_interface)

qt_add_dbus_adaptor(SOURCES org.freedesktop.Notifications.xml NotificationServer.hxx NotificationServer)

set(TARGET liquidshell)

add_executable(${TARGET} ${SOURCES} ${UI_FILES})

set_property(TARGET ${TARGET} PROPERTY AUTORCC ON)

target_link_libraries(${TARGET}
                      Qt::Core
                      Qt::Gui
                      Qt::Widgets
                      Qt::DBus
                      KF6::WindowSystem
                      KF6::WidgetsAddons
                      KF6::ConfigWidgets
                      KF6::ConfigCore
                      KF6::KIOCore
                      KF6::KIOWidgets
                      KF6::IconThemes
                      KF6::Notifications
                      KF6::I18n
                      KF6::NetworkManagerQt
                      KF6::Service
                      KF6::Solid
                      KF6::BluezQt
                      KF6::KCMUtils
                      KF6::Crash
                      KF6::DBusAddons
                      KF6::ItemViews
                      KF6::Archive
                      KF6::NewStuffWidgets
                      KF6::XmlGui
)

if ( packagekitqt6_FOUND )
  target_link_libraries(${TARGET} PK::packagekitqt6)
endif()

install(TARGETS ${TARGET} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.${TARGET}.desktop DESTINATION ${KDE_INSTALL_APPDIR})

configure_file(start_liquidshell start_liquidshell @ONLY)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/start_liquidshell DESTINATION ${KDE_INSTALL_BINDIR})

configure_file(liquidshell-session.desktop liquidshell-session.desktop @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/liquidshell-session.desktop DESTINATION ${KDE_INSTALL_DATADIR}/xsessions)

install(FILES liquidshell.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
install(FILES org.kde.liquidshell.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_install_icons(ICONS
                  48-apps-liquidshell.png
                  DESTINATION ${KDE_INSTALL_ICONDIR}
                  THEME hicolor)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES)

ki18n_install(po)

## liquidshell 1.8.1

=== debian/changelog ===
liquidshell (1.8.1-1siduction1) unstable; urgency=medium

  * Non-maintainer upload.
  * build for siduction

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 28 Jul 2023 15:00:56 +0200

liquidshell (1.8.1-0xneon+22.04+jammy+release+build2) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 11:30:12 +0000

liquidshell (1.8.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Jun 2021 10:55:01 +0000

=== debian/control ===
Source: liquidshell
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf5archive-dev,
               libkf5bluezqt-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5networkmanagerqt-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5solid-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libpackagekitqt5-dev,
               libqt5x11extras5-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtbase5-private-dev
Standards-Version: 4.1.4
Vcs-Git: https://invent.kde.org/neon/neon-packaging/liquidshell.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/liquidshell
Maintainer: Neon CI <neon@kde.org>

Package: liquidshell
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Basic desktop shell
 Basic desktop shell using Qt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf5 --buildsystem kf5

## liquidshell 1.8.1+p24.04+vstable+git20250917.0109

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vstable+git20250917.0109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 01:09:51 +0000

## liquidshell 1.8.1+p24.04+vstable+git20250921.0627

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vstable+git20250921.0627-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:27:26 +0000

## liquidshell 1.8.1+p24.04+vstable+git20251011.2323

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vstable+git20251011.2323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:23:07 +0000

=== debian/control ===
Source: liquidshell
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-bluez-qt-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcrash-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-networkmanager-qt-dev,
               kf6-solid-dev,
               libpackagekitqt6-dev,
               pkg-kde-tools,
               qt6-5compat-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/liquidshell.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/liquidshell
Maintainer: Neon CI <neon@kde.org>

Package: liquidshell
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Basic desktop shell
 Basic desktop shell using Qt.

## liquidshell 1.8.1+p24.04+vstable+git20251019.0313

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vstable+git20251019.0313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:13:50 +0000

## liquidshell 1.8.1+p24.04+vstable+git20251231.0254

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vstable+git20251231.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:54:33 +0000

## liquidshell 1.8.1+p24.04+vstable+git20260103.0547

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vstable+git20260103.0547-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:47:06 +0000

## liquidshell 1.8.1+p24.04+vstable+git20260105.1118

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vstable+git20260105.1118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:18:30 +0000

## liquidshell 1.8.1+p24.04+vstable+git20260107.0902

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vstable+git20260107.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:02:41 +0000

## liquidshell 1.8.1+p24.04+vstable+git20260109.0318

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vstable+git20260109.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 03:18:23 +0000

## liquidshell 1.8.1+p24.04+vunstable+git20251126.0426

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vunstable+git20251126.0426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 26 Nov 2025 04:26:04 +0000

## liquidshell 1.8.1+p24.04+vunstable+git20251128.0738

=== debian/changelog ===
liquidshell (1.8.1+p24.04+vunstable+git20251128.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 07:38:38 +0000

## liquidshell 1.10.1

=== debian/changelog ===
liquidshell (1.10.1-0zneon+24.04+noble+release+build6) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 03:40:21 +0000

liquidshell (1.10.1-0neon) noble; urgency=medium
 
  * New release
 
 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 00:26:01 +0000

## liquidshell 1.10.1+p24.04+vstable+git20260127.0942

=== debian/changelog ===
liquidshell (1.10.1+p24.04+vstable+git20260127.0942-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 09:42:21 +0000

## liquidshell 1.10.1+p24.04+vunstable+git20260126.1044

=== debian/changelog ===
liquidshell (1.10.1+p24.04+vunstable+git20260126.1044-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 10:44:11 +0000

## liquidshell 1.10.1+p24.04+vunstable+git20260130.1419

=== debian/changelog ===
liquidshell (1.10.1+p24.04+vunstable+git20260130.1419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:19:21 +0000
